{% extends 'base.html.twig' %}

{% block title %}{{parent()}} Éditions{% endblock %}

{% block body %}

  <h1 class="mb-4 display-1">
    Éditions
  </h1>

  <h1 class="display-5 mb-4">
    Accès par date
  </h1>

 {% set intervals = [
  ["1500-01-01", "1599-12-31", "XVIe siècle"],
  null,
  ["1600-01-01", "1609-12-31", "1600 - 1609"],
  ["1610-01-01", "1619-12-31", "1610 - 1619"],
  ["1620-01-01", "1629-12-31", "1620 - 1629"],
  ["1630-01-01", "1639-12-31", "1630 - 1639"],
  ["1640-01-01", "1649-12-31", "1640 - 1649"],
  ["1650-01-01", "1659-12-31", "1650 - 1659"],
  ["1660-01-01", "1669-12-31", "1660 - 1669"],
  ["1670-01-01", "1679-12-31", "1670 - 1679"],
  ["1680-01-01", "1689-12-31", "1680 - 1689"],
  ["1690-01-01", "1699-12-31", "1690 - 1699"],
  null,
  ["1700-01-01", "1709-12-31", "1700 - 1709"],
  ["1710-01-01", "1719-12-31", "1710 - 1719"],
  ["1720-01-01", "1729-12-31", "1720 - 1729"],
  ["1730-01-01", "1739-12-31", "1730 - 1739"],
  ["1740-01-01", "1749-12-31", "1740 - 1749"],
  ["1750-01-01", "1759-12-31", "1750 - 1759"],
  ["1760-01-01", "1769-12-31", "1760 - 1769"],
  ["1770-01-01", "1779-12-31", "1770 - 1779"],
  ["1780-01-01", "1789-12-31", "1780 - 1789"],
  ["1790-01-01", "1799-12-31", "1790 - 1799"],
  null,
  ["1800-01-01", "1899-12-31", "XIXe siècle"],
] %}

<div class="justify">
{% for interval in intervals %}
  {% if interval is not null %}
    <a class="btn btn-sm btn-secondary" href="{{ path('publications_between', {'from': interval[0], 'to': interval[1]}) }}">
      {{interval[2]}} 
    </a>

     &nbsp;
  {% else %}
    <br class="mb-4" />
  {% endif %}
{% endfor %}
</div>


  <h1 class="display-5 mb-4" style ="margin-top:40px;">
    Textes publiés dans des anthologies
  </h1>

  <div class="justify">
      <a class="btn btn-sm btn-secondary" href="{{ path('anthologies')}}">
      Liste des anthologies
    </a>
  </div>

{% endblock %}
